Bug 1655491 - The mistral_executor container should be able to see the /var/lib/config-data/puppet-generated tree
Summary: The mistral_executor container should be able to see the /var/lib/config-data...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 14.0 (Rocky)
Assignee: Gaël Chamoulaud
QA Contact: Andrey Fiodorov
URL:
Whiteboard:
Depends On:
Blocks: 1643912 1649834
TreeView+ depends on / blocked
 
Reported: 2018-12-03 09:55 UTC by Gaël Chamoulaud
Modified: 2019-01-11 11:55 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.1-0.20181013060903.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:55:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 620642 None None None 2018-12-03 09:55:30 UTC
OpenStack gerrit 623224 None None None 2018-12-06 14:56:34 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:55:13 UTC

Description Gaël Chamoulaud 2018-12-03 09:55:31 UTC
The tripleo-validations are executed from the mistral_executor container. Some validations check out multiple services config files located in /var/lib/config-data/puppet-generated/ on the undercloud host. This container don't have access to this tree and those validations are failing. A bind-mount of this tree should be created for the mistral_executor.

Comment 19 Andrey Fiodorov 2018-12-13 12:34:51 UTC
Verified.

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-9.0.1-0.20181013060903.el7ost.noarch

Comment 23 errata-xmlrpc 2019-01-11 11:55:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.